import { Subject } from './subject';
import { IShortcutOptions, IShortcutServiceOptions } from './types';
export declare const version: string | undefined;
export * from './constants';
export * from './types';
export * from './util';
export declare class KeyboardService {
    private _context;
    private _conditionData;
    private _data;
    private _root;
    private _cur;
    sequence: Subject<string[]>;
    private _timer;
    static defaultOptions: IShortcutServiceOptions;
    options: IShortcutServiceOptions;
    constructor(options?: Partial<IShortcutServiceOptions>);
    private _reset;
    private _resetTimer;
    private _addCondition;
    private _removeCondition;
    private _evalCondition;
    private _checkShortcut;
    private _enableShortcut;
    enable(): void;
    disable(): void;
    register(key: string, callback: () => void, options?: Partial<IShortcutOptions>): () => void;
    setContext(key: string, value: unknown): void;
    private _handleKeyOnce;
    handleKey: (e: KeyboardEvent) => void;
    repr(): string;
}
export declare function getService(): KeyboardService;
export declare const register: (key: string, callback: () => void, options?: Partial<IShortcutOptions> | undefined) => () => void;
export declare const enable: () => void;
export declare const disable: () => void;
export declare const handleKey: (e: KeyboardEvent) => void;
